/**
Copyright 2009 Palm, Inc.  All rights reserved.
 */

CameraUtil = {
	
	timeFormatter: function util_timeformatter(secs){
		if (secs < 0){
		        secs = 0;
		}                
		
		var hrs = Math.floor(secs / 3600);
		var mins = Math.floor(secs / 60) - hrs * 60;
		secs = secs % 60;                                    
		
		var displayHours = "";                            
		if (hrs > 0){
		        displayHours = hrs + ":";                      
		}        
		                                                                        
		var result = displayHours + ((mins < 10) ? "0" + mins : mins)  + ":" + ((secs < 10) ? "0" + secs : secs);
		                                    
		return result;
	}
	
	
};
